
Foreman - Bug #27005

New editor always thinks there is a change in template

06/10/2019 01:14 PM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Gilad Lekner   

Category: JavaScript stack   

Target version: 1.23.0   

Difficulty:  Fixed in Releases: 1.23.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6840

  

Description

The new editor always make it seems the template changed, even if there is no actual change.

Result - we are unable to change assignment of locked templates

Associated revisions

Revision 31c0fb20 - 06/13/2019 12:41 PM - Gilad Lekner 

Fixes #27005 - Fix Editor changing locked template

History

#1 - 06/10/2019 01:15 PM - Ondřej Ezr

- Category set to JavaScript stack

#2 - 06/10/2019 05:27 PM - Gilad Lekner

Ondřej Ezr wrote:

The new editor always make it seems the template changed, even if there is no actual change.

Result - we are unable to change assignment of locked templates

 Can you provide steps / screenshots on how to reproduce this bug?

#3 - 06/11/2019 09:19 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Gilad Lekner

- Pull request https://github.com/theforeman/foreman/pull/6840 added

#4 - 06/11/2019 11:53 AM - Ondřej Ezr

Discussed offline, but for consistency:

Locked provisioning templates can not be assigned to OS, even though template content is not changed.

Problem is editor is sending the content even though it hasn't changed (and is actually readonly).

#5 - 06/13/2019 12:41 PM - Ohad Levy

- Target version set to 1.23.0

- Fixed in Releases 1.23.0 added

#6 - 06/13/2019 01:01 PM - Anonymous

- Status changed from Ready For Testing to Closed
Applied in changeset 31c0fb2082cbb86ffdb24c50af2b20b75657150b.
